Package de.gebit.integrity.dsl

## Interface StandardOperation

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `Operation`, `ValueOrEnumValueOrOperation`
  All Known Implementing Classes:
    `StandardOperationImpl`

      public interface StandardOperation
      extends Operation

  A representation of the model object 'Standard Operation'.

  The following features are supported:

  - `First Operand`
  - `Operators`
  - `More Operands`
  See Also:
    `DslPackage.getStandardOperation()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ValueOrEnumValueOrOperation` | `getFirstOperand()` | Returns the value of the 'First Operand' containment reference.
    `org.eclipse.emf.common.util.EList<ValueOrEnumValueOrOperation>` | `getMoreOperands()` | Returns the value of the 'More Operands' containment reference list.
    `org.eclipse.emf.common.util.EList<String>` | `getOperators()` | Returns the value of the 'Operators' attribute list.
    `void` | `setFirstOperand​(ValueOrEnumValueOrOperation value)` | Sets the value of the '`First Operand`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getFirstOperand

          ValueOrEnumValueOrOperation getFirstOperand()

      Returns the value of the 'First Operand' containment reference.
      Returns:
        the value of the 'First Operand' containment reference.
      See Also:
        `setFirstOperand(ValueOrEnumValueOrOperation)`, `DslPackage.getStandardOperation_FirstOperand()`

    - #### setFirstOperand

          void setFirstOperand​(ValueOrEnumValueOrOperation value)

      Sets the value of the '`First Operand`' containment reference.
      Parameters:
        `value` - the new value of the 'First Operand' containment reference.
      See Also:
        `getFirstOperand()`

    - #### getOperators

          org.eclipse.emf.common.util.EList<String> getOperators()

      Returns the value of the 'Operators' attribute list. The list contents are of type `String`.
      Returns:
        the value of the 'Operators' attribute list.
      See Also:
        `DslPackage.getStandardOperation_Operators()`

    - #### getMoreOperands

          org.eclipse.emf.common.util.EList<ValueOrEnumValueOrOperation> getMoreOperands()

      Returns the value of the 'More Operands' containment reference list. The list contents are of type `ValueOrEnumValueOrOperation`.
      Returns:
        the value of the 'More Operands' containment reference list.
      See Also:
        `DslPackage.getStandardOperation_MoreOperands()`